package com.red.circle.other.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * @author pengliang on  2020/10/3 9:49
 */
public enum EmojiKeys implements RedisKeys {

  /**
   * hash表.
   */
  HASH,

  /**
   * 背包.
   */
  PACK,

  /**
   * 背包id.
   */
  PACK_ID,

  /**
   * 表情.
   */
  SYS_EMOJI;

  @Override
  public String businessPrefix() {
    return "EMOJI";
  }

  @Override
  public String businessKey() {
    return this.name();
  }

}
